Contents

# Macro Toolbar

The Macro Toolbar contains commands to create, edit and run macros.

## Library

Select the library that you want to edit. The first module of the library that you select is displayed in the Basic IDE.

Library List Box

## Compile

Compiles the Basic macro. You need to compile a macro after you make changes to it, or if the macro uses single or procedure steps.

Compile

## Run

Runs the first macro of the current module.

Run

## Stop

Stops running the current macro. You can also press Shift+Ctrl+Q.

Stop

## Procedure Step

Runs the macro and stops it after the next procedure.

Procedure Step

## Single Step

Runs the macro and stops it after the next command.

Single Step

## Step Out

Jumps back to the previous routine in the current macro.

Step Out

## Breakpoint

Inserts a breakpoint in the program line.

Breakpoint

## Manage Breakpoints

Calls a dialogue box to manage breakpoints.

Manage Breakpoints

## Enable Watch

Click this icon to view the variables in a macro. The contents of the variable are displayed in a separate window.

Enable Watch

## Object Catalogue

Opens the Objects pane, where you can view Basic objects.

Object Catalogue

## Macros

Opens the Macro dialogue box.

Macros

## Modules

Click here to open the Macro Organiser dialogue box.

Modules

## Find Parentheses (Round Brackets)

Highlights the text that is enclosed by two corresponding brackets. Place the text cursor in front of an opening or closing bracket and then click this icon.

Find Parentheses (Round Brackets)

## Import BASIC

Opens the Basic source text in the Basic IDE window.

Import BASIC

## Export BASIC

Saves the source code of the selected Basic macro.

Export BASIC

## Import Dialog

Calls an "Open" dialogue box to import a BASIC dialog file.

Import Dialog

## Export Dialog

In the dialog editor, this command calls a "Save as" dialog to export the current BASIC dialog.

Export Dialog